KaiS

Update von DSM 6.2-23739 zu DSM 6.2.2-24922

Recommended Posts

Hallo zusammen,

 

ich stehe mal wieder vor der Frage ob ich gefahrlos updatenkann.

Installierst habe ich: DSM 6.2-23739

Verfügbar ist: DSM 6.2.2-24922

 

 

Hardware:

Mainboard: Gigabyte Technology Co., Ltd. B75-D3Hh

Prozessor: Intel(R) Core(TM) i3-2120 CPU @ 3.30GHz

Das System hat zwei Netzwerkkarten, die zur Zeit benutzte dürfte eine Intel Karte sein:

ethtool -i eth1
driver: e1000e

Kann mir dazu jemand etwas sagen, ob  ich gefahrlos updaten kann?

 

Grüße,

Kai

Edited by KaiS

Share this post


Link to post
Share on other sites

Ohne Angabe zum Loader und DSM Version (3615, 3617, 918+) bleibt uns da nur magische Glaskugel 😎

Share this post


Link to post
Share on other sites

Oh sorry, total vergessen.

DS3615xs

 

Loader müsste noch 1.02b sein.

Da müsste ich den 1.03b auf einen USB-Stick flashen, richtig?

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Vielen Dank für die schnellen Antworten.

Ich habe es versucht, nun habe ich den Bildschirm, dass ich auf http://find.synology.com gehen soll.

Aber es wird nichts gefunden.

 

Muss ich noch weiterhin warten oder erneut booten?

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Schau mal im DHCP/Router/Server nach, ob Du „DiskStation“ als Lease findest. Falls nicht, kontrollier mal die LEDs an der NIC, ob diese aufleuchten.

Share this post


Link to post
Share on other sites

Die LEDs blinken.

In der FritzBox kann ich kein Gerät erkennen.

Pingen funktioniert auch nicht auf die alte IP. :-(

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Sorry, Fehlalarm. :D

Ich hab das Netzwerkkabel in die falsche Netzwerkkarte gesteckt. :D

 

Grüße,

Kai

  • Haha 1

Share this post


Link to post
Share on other sites

Eine Frage habe ich noch.

Ich würde mir gerne über Letsencrypt ein Zertfikat erstellen lassen, deswegen habe ich eigentlich nur das Update gemacht.

 

Bekomme aber weiterhin den Fehler:

 

"Vorgang fehlgeschlagen. Bitte melden Sie sich erneut im DSM an und versuchen Sie es erneut."

 

Hast du da evtl. eine Idee?

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Also wenn Du auf der Fritte für Port 80 & 443 entsprechende Weiterleitungen (NAT) auf die NAS gemacht hast, sollte das auch funktionieren. Dafür braucht es natürlich einen entsprechenden Domainnamen, der extern erreichbar ist und das DNS entsprechend auf die Fritte zeigt.

Share this post


Link to post
Share on other sites

Domain ist vorhanden. Ich hab das über DDNS eingerichtet auf dem Xpenology.

Macht das evtl. Probleme? Sollte doch eigentlich nicht, oder?

 

Die Portfreigaben sind ebenfalls vorhanden.

 

Grüße,

Kai

 

Share this post


Link to post
Share on other sites

Nein, habe ich nicht.

Ich habe es mal auf der Konsole versucht:

 

kai@NAS:~$ syno-letsencrypt new-cert -d nas.url.info -m vorname.nachname@gmail.com -vv
DEBUG: ==== start to new cert ====
DEBUG: Server: https://acme-v01.api.letsencrypt.org/directory
DEBUG: Email: vorname.nachname@gmail.com
DEBUG: Domain: nas.url.info
DEBUG: ==========================
DEBUG: setup acme url https://acme-v01.api.letsencrypt.org/directory
DEBUG: szUserAgent: [synology_bromolow_3615xs DSM6.2-24922 (DDNS)]
DEBUG: GET Request: https://acme-v01.api.letsencrypt.org/directory
DEBUG: Curl Reply: [200] Header: [HTTP/1.1 200 OK

Ist acme-v01 nicht abgeschafft?

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Nein, abgeschafft noch nicht. Auch die Originalboxen nutzen in der API v01.

 

Wie sieht denn die weitere Ausgabe auf der Konsole aus? Kommen da noch Fehlermeldungen? 

Share this post


Link to post
Share on other sites

Wenn ich es über die Weboberfläche mache erhalte ich folgendes im Log (/var/log/messages()

2019-11-20T08:11:19+01:00 NAS synoscgi_SYNO.Core.Certificate.LetsEncrypt_1_create[9627]: certificate.cpp:1392 Failed to create Let'sEncrypt certificate. [200][new-req, unexpect httpcode][/CODE]


 

Wenn ich es über die Konsole mache erhalte ich folgendes zum Schluss:

 

DEBUG: Curl Reply: [403] Header: [HTTP/1.1 403 Forbidden
	Server: nginx
	Date: Wed, 20 Nov 2019 07:22:29 GMT
	Content-Type: application/problem+json
	Content-Length: 280
	Connection: keep-alive
	Cache-Control: public, max-age=0, no-cache
	Replay-Nonce: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
	] Body: [{
	  "type": "urn:acme:error:unauthorized",
	  "detail": "Account creation on ACMEv1 is disabled. Please upgrade your ACME client to a version that supports ACMEv2 / RFC 8555. See https://community.letsencrypt.org/t/end-of-life-plan-for                                              -acmev1/88430 for details.",
	  "status": 403
	}]
	{"error":200,"file":"client.cpp","msg":"new-req, unexpect httpcode"}[/CODE]

 

Für mich sieht es so aus, als wäre die V1 schon abgeschafft.

 

Grüße,

Kai

Edited by KaiS

Share this post


Link to post
Share on other sites

Tatsache... Welchen Updatestand hat Dein DSM? In DSM 6.2.2 24922 Update 3 wurde ACME V2 implementiert.

Share this post


Link to post
Share on other sites

Installierte DSM-Version: DSM 6.2.2-24922

Status: Ihre DSM Version ist aktuell.

 

Kann ich dir sonst noch Infos liefern, oder kann ich eine Datei manuell installieren?

Vielen Dank für deine Mühe!

 

Edit:

Ich habe mir jetzt erstmal ein Wildcard Zertifikat nach der Anleitung geholt: https://forum.synology.com/enu/viewtopic.php?t=141181

Allerdings würde ich schon gerne die Funktion nutzen. Wenn du noch weitere Infos für mich hast, würde ich mich freuen.

 

Grüße,

Kai

Edited by KaiS

Share this post


Link to post
Share on other sites
25 minutes ago, KaiS said:

Installierte DSM-Version: DSM 6.2.2-24922

Status: Ihre DSM Version ist aktuell.

 

Da spuckt DSM mal wieder was Falsches aus.

 

Update 4 ist der aktuelle Stand.

 

Kannst Du hier herunterladen und manuell installieren:

 

https://archive.synology.com/download/DSM/criticalupdate/update_pack/24922-4/synology_bromolow_3615xs.pat

 

 

Share this post


Link to post
Share on other sites

Dürfte das ohne Probleme funktionieren bei meiner aktuellen Hardware?

Das Update gestern hat ja wunderbar funktioniert.

 

Grüße,

Kai

Share this post


Link to post
Share on other sites

Es hat alles funktioniert.
Vielen Dank.

Grüße,
Kai



Gesendet von iPhone mit Tapatalk

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.